Maintainers Fedora et Gentoo abandonnent la maintenance de l'application de bureau Telegram

Un des développeurs en charge de la maintenance des packages Telegram Desktop pour la distribution Linux Fedora et dans le référentiel RPM Fusion dévoilé récemment par un post ont supprimé les packages des référentiels.

Et est-ce cette décision vient presque simultanément à l'action que je prends un jour précédent le gestionnaire de paquets Gentoo Telegram, qui a également annoncé la fin du support de Telegram Desktop pour la distribution. Dans les deux cas, il est indiqué qu'ils sont prêts à renvoyer les paquets aux référentiels au cas où un nouveau responsable serait trouvé, prêt à prendre en charge la maintenance.

Les raisons du refus des mainteneurs actuels pour prendre en charge Telegram Desktop dans ces deux distributions Linux populaires sont appelés attitude répugnante et hostile des développeurs Quoi ils n'essaient même pas de découvrir les bugs conduisant à des problèmes de construction à partir de la source sur les distributions Linux.

Les messages concernant de telles erreurs sont immédiatement fermés avec le signe "WONTFIX" et une recommandation d'utiliser des versions binaires semi-propriétaires du site officiel.

Dans le message posté par Vitaly Zaitsev (qui était en charge des packages Telegram Desktop pour Fedora et RPM Fusion)

Bonjour à tous! Aujourd'hui est un grand jour.

J'ai finalement décidé de supprimer le package Fedora et RPM Fusion Telegram Desktop pour les raisons suivantes:

1. Ils ont un environnement très hostile et très toxique pour les responsables en amont de GNU / Linux. Toutes les erreurs liées aux distributions seront fermées instantanément avec "WONTFIX, utilisez notre binaire à moitié propriétaire, lié statiquement aux bibliothèques Ubuntu 14.04 LTS, depuis le site officiel".

2. J'ai conservé de nombreux paquets GNU / Linux pendant 16 ans et je n'ai jamais vu un amont aussi hostile auparavant. Ils font de leur mieux pour casser les builds packagés et de plus en plus de besoins doivent être corrigés dans chaque version. Ils disent toujours: "Nous ne prenons en charge que les versions statiques, si vous avez besoin de les partager -> corrigez-les vous-même."

3. Vous ne pouvez pas demander de l'aide en amont sur les builds packagés, ils vous ignoreront. Par exemple. Récemment, ils ont supprimé le support des builds contre Qt <5.15.

4. Si vous êtes un mainteneur de GNU / Linux, ils vous traitent comme un ennemi. Ils te détestent. Si quelqu'un veut le prendre, n'hésitez pas, mais n'oubliez pas les 1 à 4 points. 

La situation est exacerbée par le fait que des problèmes empêchant la construction de packages surviennent régulièrement dans les nouvelles versions, et toutes les tentatives de résolution des problèmes en amont se résument à des déclarations selon lesquelles les développeurs ne prennent en charge que les liens statiques tg_owt et tous les problèmes lors de la création de vos propres assemblys doivent être résolus indépendamment .

Par exemple, la prise en charge des versions avec des versions de Qt inférieures à 5.15 a récemment été interrompue et toutes les demandes de résolution du problème ont été simplement ignorées.

Aussi la confusion générale de l'organisation de la Construction du package Telegram Desktop, Le qui complique la maintenance.

Eh bien, fondamentalement, le projet est divisé en quatre référentiels différents (application, une bibliothèque pour webrtc, des scripts pour le système de compilation cmake et une bibliothèque pour le traitement du son), mais un seul référentiel est responsable de la compilation des versions et les trois autres sont simplement mis à jour au fur et à mesure que le développement progresse sans engagement.

En outre, de la mention de problèmes avec compilation entravée par des conflits de dépendance qui surviennent lorsque vous essayez de fournir un support pour Wayland et x11, PulseAudio et ALSA, OpenSSL et LibreSSL.

Enfin, en ce qui concerne la position de l'autre côté du conflit, cela se résume au fait que la plupart des messages sur les problèmes ne sont pas pertinents ou sont rapidement corrigés, et le désaccord réside dans la réticence à soutenir les anciennes versions de Qt et à relier la dynamique avec le tg_owt sur la vôtre.

Si vous voulez en savoir plus à propos de la note, vous pouvez vérifier les détails le lien suivant.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

4 commentaires, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données : AB Internet Networks 2008 SL
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   miguel rodríguez dit

    Eh bien, au lieu de s'énerver, ils auraient fait preuve de diplomatie en donnant un message qui, en raison des difficultés présentées par l'insistance de la société à utiliser uniquement et exclusivement son logiciel propriétaire pour la compilation du programme ainsi que le refus de prendre en charge certaines versions de Qt, ils recommandent d'utiliser la version flathub qui est mise à jour et cela ne devrait pas poser de problème quand il est livré sous forme de flatpak.

  2.   Luis dit

    Tant qu'il est encore disponible sur Flathub, je n'aurais pas de problème ...
    mais le télégramme me manque

  3.   Gabriel dit

    Dans mon cas (bien que mon expérience soit dans manjaro), j'ai arrêté de le télécharger à partir des référentiels quand j'ai vu qu'il n'était pas fréquemment mis à jour par rapport à la "version originale", j'ai donc directement téléchargé l'application à partir de la page Telegram et l'ai décompressée dans My home et voila, dans le style de Windows Firefox, lorsque j'ouvre l'application s'il y a une mise à jour, elle la télécharge automatiquement et la vérité est que cela fonctionne assez bien.

    1.    pablinux dit

      Je n'étais pas au courant de cette option, en partie parce que je n'en avais pas encore besoin, mais je l'écris. Ce que vous dites à propos de Firefox pour Windows, vous l'avez également sous Linux si vous le téléchargez à partir du site officiel, donc si je ne me trompe pas, je le comparerais également à Firefox, mais Linux en binaires.

      Par contre, je vous recommande également d'essayer la version Flathub, qui est mise à jour prochainement et ne pose aucun problème. Uniquement en option.

      Salutations.